Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Body

application/json
description
string | null
name
string | null
statement_descriptor
string | null
support_email
string | null
url
string | null

Response

200 - application/json

Created Brand

brand_id
string
required
business_id
string
required
enabled
boolean
required
statement_descriptor
string
required
verification_enabled
boolean
required
verification_status
enum<string>
required
Available options:
Success,
Fail,
Review,
Hold
archived_at
string<date-time> | null

Time the brand was archived. Null for an active brand.

description
string | null
image
string | null
name
string | null
reason_for_hold
string | null

Incase the brand verification fails or is put on hold

support_email
string | null
url
string | null
Last modified on March 25, 2026